Skip to main content
POST
/
startPersonaKYCJob
Start a Persona KYC job
curl --request POST \
  --url https://api.parcha.ai/api/v1/startPersonaKYCJob \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "kyc_schema": {
    "id": "<string>",
    "self_attested_data": {
      "first_name": "<string>",
      "middle_name": "<string>",
      "last_name": "<string>",
      "name_prefix": "<string>",
      "name_suffix": "<string>",
      "date_of_birth": "2023-12-25",
      "address": {
        "street_1": "<string>",
        "street_2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "country_code": "<string>",
        "postal_code": "<string>"
      },
      "associated_addresses": [
        {
          "street_1": "<string>",
          "street_2": "<string>",
          "city": "<string>",
          "state": "<string>",
          "country_code": "<string>",
          "postal_code": "<string>"
        }
      ],
      "country_of_nationality": "<string>",
      "country_of_residence": "<string>",
      "place_of_birth": "<string>",
      "sex": "<string>",
      "email": "jsmith@example.com",
      "phone": "<string>",
      "title": "<string>",
      "is_applicant": true,
      "is_business_owner": true,
      "business_ownership_percentage": 123,
      "proof_of_address_documents": [
        {
          "b64_document": "<string>",
          "file_name": "<string>",
          "source_type": "<string>"
        }
      ],
      "source_of_funds_documents": [
        {
          "b64_document": "<string>",
          "file_name": "<string>",
          "source_type": "<string>"
        }
      ]
    }
  }
}
'
{
  "status": "ok",
  "job_id": "<string>",
  "message": "<string>",
  "job": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.parcha.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from your Parcha account settings. Include as Bearer token in the Authorization header.

Query Parameters

account_id
string
required
agent_key
string
required

Body

application/json
kyc_schema
object
required

Response

Job started successfully

status
enum<string>
Available options:
ok,
failed,
mock_success
job_id
string | null
message
string
job
object